diff options
| author | David M. Syzdek <david@syzdek.net> | 2023-01-10 16:49:31 -0900 |
|---|---|---|
| committer | David M. Syzdek <david@syzdek.net> | 2023-01-10 16:49:31 -0900 |
| commit | 26900f5f3223f88075533e9a1fbba83fb2c77678 (patch) | |
| tree | 9816a7cd09a1b9ef5f8d8fd2c02a24023e033350 | |
| parent | 6bdbb313e118c83f053b5d50343aa4ce8922cfeb (diff) | |
| download | otputils-26900f5f3223f88075533e9a1fbba83fb2c77678.tar.gz otputils-26900f5f3223f88075533e9a1fbba83fb2c77678.tar.bz2 otputils-26900f5f3223f88075533e9a1fbba83fb2c77678.tar.xz otputils-26900f5f3223f88075533e9a1fbba83fb2c77678.zip | |
libotputil: adjusting comments
| -rw-r--r-- | lib/libotputil/libotputil.sym | 7 | ||||
| -rw-r--r-- | lib/libotputil/lrfc2289-otp.c | 8 |
2 files changed, 11 insertions, 4 deletions
diff --git a/lib/libotputil/libotputil.sym b/lib/libotputil/libotputil.sym index 148d615..647def9 100644 --- a/lib/libotputil/libotputil.sym +++ b/lib/libotputil/libotputil.sym | |||
| @@ -62,31 +62,38 @@ otputil_bvbase32 | |||
| 62 | otputil_bvcmp | 62 | otputil_bvcmp |
| 63 | otputil_bvdup | 63 | otputil_bvdup |
| 64 | otputil_bvfree | 64 | otputil_bvfree |
| 65 | # | ||
| 65 | # memory functions | 66 | # memory functions |
| 66 | otputil_free | 67 | otputil_free |
| 67 | otputil_get_param | 68 | otputil_get_param |
| 68 | otputil_initialize | 69 | otputil_initialize |
| 69 | otputil_set_param | 70 | otputil_set_param |
| 71 | # | ||
| 70 | # misc functions | 72 | # misc functions |
| 71 | otputil_err2string | 73 | otputil_err2string |
| 72 | otputil_getpass | 74 | otputil_getpass |
| 73 | otputil_md2str | 75 | otputil_md2str |
| 74 | otputil_str2md | 76 | otputil_str2md |
| 77 | # | ||
| 75 | # front-end functions | 78 | # front-end functions |
| 76 | otputil_code | 79 | otputil_code |
| 77 | otputil_str | 80 | otputil_str |
| 78 | otputil_timer | 81 | otputil_timer |
| 82 | # | ||
| 79 | # HOTP functions (RFC 4226) | 83 | # HOTP functions (RFC 4226) |
| 80 | otputil_hotp_code | 84 | otputil_hotp_code |
| 81 | otputil_hotp_str | 85 | otputil_hotp_str |
| 86 | # | ||
| 82 | # OTP functions (RFC 2289) | 87 | # OTP functions (RFC 2289) |
| 83 | otputil_otp_decode | 88 | otputil_otp_decode |
| 84 | otputil_otp_decode_len | 89 | otputil_otp_decode_len |
| 85 | otputil_otp_encode | 90 | otputil_otp_encode |
| 86 | otputil_otp_encode_len | 91 | otputil_otp_encode_len |
| 92 | # | ||
| 87 | # S/KEY functions (RFC 1760) | 93 | # S/KEY functions (RFC 1760) |
| 88 | otputil_skey_dict_value | 94 | otputil_skey_dict_value |
| 89 | otputil_skey_dict_word | 95 | otputil_skey_dict_word |
| 96 | # | ||
| 90 | # TOTP functions (RFC 6238) | 97 | # TOTP functions (RFC 6238) |
| 91 | otputil_totp_code | 98 | otputil_totp_code |
| 92 | otputil_totp_str | 99 | otputil_totp_str |
diff --git a/lib/libotputil/lrfc2289-otp.c b/lib/libotputil/lrfc2289-otp.c index 0469ae5..f18eadd 100644 --- a/lib/libotputil/lrfc2289-otp.c +++ b/lib/libotputil/lrfc2289-otp.c | |||
| @@ -74,10 +74,10 @@ otputil_otp_encode_word( | |||
| 74 | ///////////////// | 74 | ///////////////// |
| 75 | #pragma mark - Functions | 75 | #pragma mark - Functions |
| 76 | 76 | ||
| 77 | //---------------// | 77 | //--------------------// |
| 78 | // OTP functions // | 78 | // encoding functions // |
| 79 | //---------------// | 79 | //--------------------// |
| 80 | #pragma mark OTP functions (RFC 2289) | 80 | #pragma mark encoding functions |
| 81 | 81 | ||
| 82 | otputil_bv_t * | 82 | otputil_bv_t * |
| 83 | otputil_otp_decode( | 83 | otputil_otp_decode( |
